### A free/open-source library for quantitative finance

Public Member Functions
EuropeanOption Class Reference
Financial instruments

European option on a single asset. More...

`#include <ql/instruments/europeanoption.hpp>`

Inheritance diagram for EuropeanOption:
[legend]

List of all members.

## Public Member Functions

| EuropeanOption (const boost::shared_ptr< StrikedTypePayoff > &, const boost::shared_ptr< Exercise > &)

## Detailed Description

European option on a single asset.

Examples:
  Replication.cpp.